## kf6-qqc2-desktop-style 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts

project(qqc2-desktop-style VERSION ${KF_VERSION})

set(REQUIRED_QT_VERSION 6.6.0)

find_package(ECM 6.12.0 REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQmlModule)
include(ECMPoQmTools)
include(ECMFindQmlModule)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMDeprecationSettings)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick Gui Widgets QuickControls2)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
  set(HAVE_DBUS ON)
endif()

if (BUILD_TESTING)
    include(ECMAddTests)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test QuickTest)
endif()

find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS Config KirigamiPlatform)

# IconThemes and ColorScheme are optional
find_package(KF6IconThemes ${KF_DEP_VERSION})
find_package(KF6ColorScheme ${KF_DEP_VERSION})

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()

set_package_properties(IconThemes
    PROPERTIES
        DESCRIPTION "KF6 IconThemes framework"
        TYPE OPTIONAL
        PURPOSE "Optional integration of Kirigami with KIconLoader icons handling for a better integration with Plasma Desktop"
)
set_package_properties(ColorScheme
    PROPERTIES
        DESCRIPTION "KF6 ColorScheme framework"
        TYPE OPTIONAL
        PURPOSE "Optional integration of Kirigami with KColorScheme for color palettes integration with Plasma Desktop"
)

find_package(PkgConfig)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6QQC2DesktopStyle")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6QQC2DesktopStyleConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QQC2DesktopStyleConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QQC2DesktopStyleConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6QQC2DesktopStyleConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX QQC2DESKTOPSTYLE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6QQC2DesktopStyleConfigVersion.cmake"
    SOVERSION 6
)

ecm_find_qmlmodule(org.kde.sonnet 1.0)

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

add_subdirectory(plugin)

if (KF6IconThemes_FOUND AND KF6ColorScheme_FOUND)
    add_subdirectory(kirigami-plasmadesktop-integration)
endif()

ecm_add_qml_module(org_kde_desktop URI "org.kde.desktop" VERSION 1.0 GENERATE_PLUGIN_SOURCE DEPENDENCIES "org.kde.qqc2desktopstyle.private" "org.kde.desktop.private")

ecm_create_qm_loader(org_kde_desktop_QM_LOADER qqc2desktopstyle_qt)
target_sources(org_kde_desktop PRIVATE ${org_kde_desktop_QM_LOADER})

file(GLOB _public_qml "org.kde.desktop/*.qml")
ecm_target_qml_sources(org_kde_desktop
    VERSION 1.0
    SOURCES ${_public_qml}
)

# Private module goes separately, because a type can not be both internal and singleton (QTBUG-111545)
ecm_add_qml_module(org_kde_desktop_private
    URI "org.kde.desktop.private"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES "org.kde.qqc2desktopstyle.private"
)

set_source_files_properties(
    org.kde.desktop/private/GlobalSonnetSettings.qml
    org.kde.desktop/private/MobileTextActionsToolBar.qml
    org.kde.desktop/private/TextFieldContextMenu.qml

    PROPERTIES
        QT_QML_SINGLETON_TYPE TRUE
)

file(GLOB _private_qml "org.kde.desktop/private/*.qml")
ecm_target_qml_sources(org_kde_desktop_private
    VERSION 1.0
    SOURCES ${_private_qml}
)

ecm_finalize_qml_module(org_kde_desktop         DESTINATION ${KDE_INSTALL_QMLDIR})
ecm_finalize_qml_module(org_kde_desktop_private DESTINATION ${KDE_INSTALL_QMLDIR})

# See https://bugreports.qt.io/browse/QTBUG-123216
add_dependencies(org_kde_desktop qqc2desktopstyleplugin org_kde_desktop_private)

ecm_install_po_files_as_qm(poqm)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-qqc2-desktop-style 6.3.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.3.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:00:37 +0200

kf6-qqc2-desktop-style (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Disable tests.
  * New binary package libkf6qqc2desktopstyle-data.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Jun 2024 19:25:04 +0200

kf6-qqc2-desktop-style (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update watch file.
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Apr 2024 18:32:38 +0200

qqc2-desktop-style (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:05:08 +0100

qqc2-desktop-style (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:43 +0200

qqc2-desktop-style (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:00 +0100

qqc2-desktop-style (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:30 +0100

qqc2-desktop-style (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:09 +0100

qqc2-desktop-style (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:33 +0100

qqc2-desktop-style (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:04 +0100

qqc2-desktop-style (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:48 +0200

qqc2-desktop-style (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:38 +0200

qqc2-desktop-style (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:07 +0200

qqc2-desktop-style (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:06 +0200

qqc2-desktop-style (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:47 +0200

qqc2-desktop-style (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:44 +0100

qqc2-desktop-style (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.
  * Update run-time dependencies.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:43 +0900

qqc2-desktop-style (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:05:30 +0900

qqc2-desktop-style (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

qqc2-desktop-style (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:07:45 +0900

qqc2-desktop-style (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:13 +0900

qqc2-desktop-style (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:32:30 +0900

qqc2-desktop-style (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work


=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkirigami-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-sonnet <!nocheck>,
               qml6-module-qtqml-workerscript <!nocheck>,
               qml6-module-qtquick-window <!nocheck>,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf6qqc2desktopstyle-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - data files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the data files.

Package: libkf6qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style - development files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml6-module-org-kde-desktop
Architecture: any
Depends: libkf6qqc2desktopstyle-data,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-sonnet,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## kf6-qqc2-desktop-style 6.6.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:09:20 +0100

kf6-qqc2-desktop-style (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:31 +0100

kf6-qqc2-desktop-style (6.4.0-0ubuntu2) oracular; urgency=medium

  * Add Breaks/Replaces in qml6-module-org-kde-desktop against
    qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~) because of conflicting
    translations files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 17 Jul 2024 11:08:02 +0100

kf6-qqc2-desktop-style (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-qqc2-desktop-style
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,14 +10,14 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkirigami-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkirigami-dev (>= 6.6.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet <!nocheck>,
+               qml6-module-org-kde-sonnet (>= 6.6.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -28,8 +29,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
 Rules-Requires-Root: no
 
 Package: libkf6qqc2desktopstyle-data
@@ -69,6 +70,8 @@
          qml6-module-qtquick-window,
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
+Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
 Description: Qt Quick Controls 2: Desktop Style
  Small style written in QML for QtQuickControls2 intended to be used
  by default in QQC2-based apps when used in the Plasma desktop

## kf6-qqc2-desktop-style 6.9.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:50:24 +0000

kf6-qqc2-desktop-style (6.8.0-0ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 01:36:19 -0600

kf6-qqc2-desktop-style (6.8.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 01:36:19 -0600

kf6-qqc2-desktop-style (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:31:46 +0000

kf6-qqc2-desktop-style (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:39:54 +0000

kf6-qqc2-desktop-style (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:30:26 +0100

kf6-qqc2-desktop-style (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:14:46 +0200

kf6-qqc2-desktop-style (6.6.0-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:17:11 +0100

kf6-qqc2-desktop-style (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:11 +0200

kf6-qqc2-desktop-style (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:56 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6colorscheme-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6iconthemes-dev (>= 6.6.0~),
-               libkirigami-dev (>= 6.6.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6colorscheme-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6iconthemes-dev (>= 6.9.0~),
+               libkirigami-dev (>= 6.9.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet (>= 6.6.0~) <!nocheck>,
+               qml6-module-org-kde-sonnet (>= 6.9.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -58,17 +59,8 @@
 Package: qml6-module-org-kde-desktop
 Architecture: any
 Depends: libkf6qqc2desktopstyle-data,
-         qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-sonnet,
-         qml6-module-qtqml,
-         qml6-module-qtqml-models,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-layouts,
-         qml6-module-qtquick-templates,
-         qml6-module-qtquick-tooling,
-         qml6-module-qtquick-window,
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
 Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
 Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)

## kf6-qqc2-desktop-style 6.10.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:26:51 +0100

kf6-qqc2-desktop-style (6.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * QML modules are needed for dh_qmldeps not only for check.
  * Cleanup explicit QML module list, as dev packages ship them
    directly.

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 19:03:20 +0100

kf6-qqc2-desktop-style (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:46:53 +0100

kf6-qqc2-desktop-style (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:28 -0600

=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-x11,
               extra-cmake-modules (>= 6.10.0~),
               libkf6colorscheme-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-sonnet,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf6qqc2desktopstyle-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - data files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the data files.

Package: libkf6qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style - development files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml6-module-org-kde-desktop
Architecture: any
Depends: libkf6qqc2desktopstyle-data,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## kf6-qqc2-desktop-style 6.11.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:47 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                dbus-x11,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6colorscheme-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6colorscheme-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6iconthemes-dev (>= 6.11.0~),
+               libkirigami-dev (>= 6.11.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-org-kde-sonnet,

## kf6-qqc2-desktop-style 6.12.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:12:27 -0500

kf6-qqc2-desktop-style (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:56:14 +0000

kf6-qqc2-desktop-style (6.11.0-0ubuntu2) plucky; urgency=high

  * Sync changes from debian/6.10.0-1

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 08:43:02 +0000

kf6-qqc2-desktop-style (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:51:15 +0000

kf6-qqc2-desktop-style (6.10.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 12:58:26 -0600

kf6-qqc2-desktop-style (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:22:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: kf6-qqc2-desktop-style
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-x11,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6colorscheme-dev (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6iconthemes-dev (>= 6.11.0~),
-               libkirigami-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6colorscheme-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6iconthemes-dev (>= 6.12.0~),
+               libkirigami-dev (>= 6.12.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet,
+               qml6-module-org-kde-sonnet (>= 6.12.0~) <!nocheck>,
+               qml6-module-qtqml-workerscript <!nocheck>,
+               qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -27,8 +30,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
 Rules-Requires-Root: no
 
 Package: libkf6qqc2desktopstyle-data
@@ -59,6 +62,8 @@
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
+Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
+Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
 Description: Qt Quick Controls 2: Desktop Style
  Small style written in QML for QtQuickControls2 intended to be used
  by default in QQC2-based apps when used in the Plasma desktop

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/qqc2-desktop-style@ANY_VERSION@@ARCHIVE_EXT@

## kf6-qqc2-desktop-style 6.13.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:37:14 +0200

=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-x11,
               extra-cmake-modules (>= 6.13.0~),
               libkf6colorscheme-dev (>= 6.13.0~),
               libkf6config-dev (>= 6.13.0~),
               libkf6iconthemes-dev (>= 6.13.0~),
               libkirigami-dev (>= 6.13.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-sonnet,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf6qqc2desktopstyle-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - data files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the data files.

Package: libkf6qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style - development files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml6-module-org-kde-desktop
Architecture: any
Depends: libkf6qqc2desktopstyle-data,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## kf6-qqc2-desktop-style 6.16.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:49:39 +0100

kf6-qqc2-desktop-style (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:36:46 +0100

kf6-qqc2-desktop-style (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:01:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,26 @@
 Source: kf6-qqc2-desktop-style
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               dbus-x11,
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               dbus-x11,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6colorscheme-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6iconthemes-dev (>= 6.13.0~),
-               libkirigami-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6iconthemes-dev (>= 6.16.0~),
+               libkirigami-dev (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet,
+               qml6-module-org-kde-sonnet (>= 6.16.0~) <!nocheck>,
+               qml6-module-qtqml-workerscript <!nocheck>,
+               qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -25,10 +28,10 @@
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-qqc2-desktop-style
 Rules-Requires-Root: no
 
 Package: libkf6qqc2desktopstyle-data
@@ -59,6 +62,8 @@
          ${misc:Depends},
          ${qml6:Depends},
          ${shlibs:Depends},
+Breaks: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
+Replaces: qml-module-org-kde-qqc2desktopstyle (<< 5.116.1~)
 Description: Qt Quick Controls 2: Desktop Style
  Small style written in QML for QtQuickControls2 intended to be used
  by default in QQC2-based apps when used in the Plasma desktop

## kf6-qqc2-desktop-style 6.17.0

=== debian/changelog ===
kf6-qqc2-desktop-style (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 21:37:41 +0100

kf6-qqc2-desktop-style (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:19:25 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6colorscheme-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6iconthemes-dev (>= 6.16.0~),
-               libkirigami-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6colorscheme-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6iconthemes-dev (>= 6.17.0~),
+               libkirigami-dev (>= 6.17.0~),
                libxkbcommon-dev,
                pkgconf,
-               qml6-module-org-kde-sonnet (>= 6.16.0~) <!nocheck>,
+               qml6-module-org-kde-sonnet (>= 6.17.0~) <!nocheck>,
                qml6-module-qtqml-workerscript <!nocheck>,
                qml6-module-qtquick-window <!nocheck>,
                qt6-base-dev (>= 6.6.0~),

## kf6-qqc2-desktop-style 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
-find_package(ECM 6.12.0 REQUIRED NO_MODULE)
+find_package(ECM 6.18.0 REQUIRED NO_MODULE)
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
@@ -92,8 +92,8 @@
 ecm_find_qmlmodule(org.kde.sonnet 1.0)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 add_subdirectory(plugin)

=== kirigami-plasmadesktop-integration/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

if (NOT BUILD_TESTING)
    return()
endif()

ecm_add_test(
    animationspeedmodifiertest.cpp
    LINK_LIBRARIES Qt::Test Qt::Qml Qt::QuickControls2
)
set_tests_properties(animationspeedmodifiertest PROPERTIES ENVIRONMENT "CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR};CMAKE_SHARED_LIBRARY_SUFFIX=${CMAKE_SHARED_LIBRARY_SUFFIX}")

if (WIN32)
target_link_libraries(animationspeedmodifiertest user32)
else()
target_link_libraries(animationspeedmodifiertest KF6::ConfigCore)
endif()

if (WIN32)
    return() # Doesn't work in the Windows CI
endif()

ecm_add_test(
    TextFieldContextMenuTest.cpp
    LINK_LIBRARIES Qt::Test Qt::Qml Qt::QuickControls2
)
set_tests_properties(TextFieldContextMenuTest PROPERTIES ENVIRONMENT "CMAKE_BINARY_DIR=${CMAKE_BINARY_DIR};CMAKE_SHARED_LIBRARY_SUFFIX=${CMAKE_SHARED_LIBRARY_SUFFIX}")

=== debian/changelog ===
kf6-qqc2-desktop-style (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:28 +0200

=== debian/control ===
Source: kf6-qqc2-desktop-style
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-x11,
               extra-cmake-modules (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-sonnet,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/qqc2-desktop-style
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-qqc2-desktop-style.git
Rules-Requires-Root: no

Package: libkf6qqc2desktopstyle-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt Quick Controls 2: Desktop Style - data files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the data files.

Package: libkf6qqc2desktopstyle-dev
Section: libdevel
Architecture: any
Depends: qml6-module-org-kde-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style - development files
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop
 .
 This package contains the development files.

Package: qml6-module-org-kde-desktop
Architecture: any
Depends: libkf6qqc2desktopstyle-data,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt Quick Controls 2: Desktop Style
 Small style written in QML for QtQuickControls2 intended to be used
 by default in QQC2-based apps when used in the Plasma desktop

## kf6-qqc2-desktop-style 6.18.0+p24.04+vstable+git20250921.0208

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 
 project(qqc2-desktop-style VERSION ${KF_VERSION})
@@ -93,7 +93,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.18.0
 )
 
 add_subdirectory(plugin)

=== debian/changelog ===
kf6-qqc2-desktop-style (6.18.0+p24.04+vstable+git20250921.0208-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 02:08:29 +0000

kf6-qqc2-desktop-style (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:10:53 +0000

kf6-qqc2-desktop-style (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:35:35 +0000

kf6-qqc2-desktop-style (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:51:21 +0000

kf6-qqc2-desktop-style (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:09:22 +0000

kf6-qqc2-desktop-style (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:50:37 +0000

kf6-qqc2-desktop-style (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:17:03 +0000

kf6-qqc2-desktop-style (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:20:55 +0000

kf6-qqc2-desktop-style (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:43:57 +0000

kf6-qqc2-desktop-style (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:28:46 +0000

kf6-qqc2-desktop-style (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:45:13 +0000

kf6-qqc2-desktop-style (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 01:17:19 +0000

kf6-qqc2-desktop-style (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:42:02 +0000

kf6-qqc2-desktop-style (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:49:55 +0000

kf6-qqc2-desktop-style (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Aug 2024 23:03:03 +0000

kf6-qqc2-desktop-style (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:50:17 +0000

kf6-qqc2-desktop-style (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:35:26 +1000

kf6-qqc2-desktop-style (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:06:44 +0000

kf6-qqc2-desktop-style (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-qqc2-desktop-style (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-qqc2-desktop-style 6.18.0+p24.04+vstable+git20251005.0948

=== debian/changelog ===
kf6-qqc2-desktop-style (6.18.0+p24.04+vstable+git20251005.0948-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 09:48:39 +0000
